KPL/FK

\beginlabel
PDS_VERSION_ID               = PDS3
RECORD_TYPE                  = STREAM
RECORD_BYTES                 = "N/A"
^SPICE_KERNEL                = "lro_dlre_frames_2010132_v04.tf"
MISSION_NAME                 = "LUNAR RECONNAISSANCE ORBITER"
SPACECRAFT_NAME              = "LUNAR RECONNAISSANCE ORBITER"
DATA_SET_ID                  = "LRO-L-SPICE-6-V1.0"
KERNEL_TYPE_ID               = FK
PRODUCT_ID                   = "lro_dlre_frames_2010132_v04.tf"
PRODUCT_CREATION_TIME        = 2010-08-02T09:00:00
PRODUCER_ID                  = "DLRE SOC/JPL"
MISSION_PHASE_NAME           = {
                               LAUNCH,
                               CRUISE,
                               "LUNAR ORBIT ACQUISITION",
                               COMMISSIONING,
                               "NOMINAL MISSION",
                               "SCIENCE MISSION",
                               "EXTENDED MISSION"
                               }
PRODUCT_VERSION_TYPE         = ACTUAL
PLATFORM_OR_MOUNTING_NAME    = "LRO ORBITER"
START_TIME                   = "N/A"
STOP_TIME                    = "N/A"
SPACECRAFT_CLOCK_START_COUNT = "N/A"
SPACECRAFT_CLOCK_STOP_COUNT  = "N/A"
TARGET_NAME                  = MOON
INSTRUMENT_NAME              = "DIVINER LUNAR RADIOMETER EXPERIMENT"
NAIF_INSTRUMENT_ID           = "N/A"
SOURCE_PRODUCT_ID            = "N/A"
NOTE                         = "See comments in the file for details"
OBJECT                       = SPICE_KERNEL
  INTERCHANGE_FORMAT         = ASCII
  KERNEL_TYPE                = FRAMES
  DESCRIPTION                = "SPICE FK file defining reference frames 
for the Diviner Lunar Radiometer Experiment (DLRE) instrument. "
END_OBJECT                   = SPICE_KERNEL
END
\endlabel


DLRE Instrument kernel
=======================================================================

   This frame kernel contains LRO Diviner Lunar Radiometer Experiment
   (DLRE) frame definitions.


Version and Date
-----------------------------------------------------------------------

   Version 4.0 -- May 12, 2010 -- Jia Zong

      Corrected comments in the description of LRO_DLRE_SCT_REF regarding
      angular offset.

   Version 3.5 -- April 6, 2010 -- Boris Semenov

      Reformatted and extended comments; no changes to the set of frames
      or frame definitions.

   Version 03.04 -- March 11, 2010 -- Jia Zong

      Modified to Marc's new laser tracker vector definitions: Modified
      vector include: reversed n1, azi, sct. This affects all.

   Version 03.03 -- March 2, 2010 -- Jia Zong

      Modified to Marc's new theodolite target slit vector (l3 is
      positive). This modifies FPA_EGS only

   Version 03.01 -- February 28, 2010 -- Jia Zong

      Modified to use axisar_c() to build the rotation matrix instead
      of two step rotations.

   Version 03    -- February 22, 2010 -- Jia Zong

      Found an error in the definition of LRO_DLRE in the laser tracker
      test. Vector n2={-0.00020120, 0.99999998, 0.00000002}, the first
      element -0.00020120 missed negative sign in previous version.
      Modified LRO_DLRE_AXI.

   Version 02 -- November 11, 2009 -- Jia Zong

      Added frame LRO_DLRE_SCT_REF.

   Version 01 -- June 09, 2009 -- Jia Zong

      Launch ready version.


References
-----------------------------------------------------------------------

   1. ``DLRE Alignment Report'', Jun2 18, 2008 Marc Foote

   2. ``DLRE Instrument Alignment'', April 28, 2009, Jia Zong

   3. ``DLRE Geolocation Algorithm Definitions'', April 28, 2009, Jia Zong

   4. ``Frames Required Reading''

   5. LRO Project FK, lro_frames_YYYYDOY_vNN.tf; latest version


Implementation Notes
-----------------------------------------------------------------------

   This file is used by the SPICE system as follows: programs that make
   use of this frame kernel must ``load'' the kernel, normally during
   program initialization, using the SPICE routine FURNSH.

   This file was created and may be updated with a text editor or word
   processor.


DLRE Frames
-----------------------------------------------------------------------

   The following DLRE frame is defined in the LRO project FK file [5]:

          Frame Name              Relative to          Type    NAIF ID
      ======================  ======================  ======   =======
      LRO_DLRE                rel.to LRO_SC_BUS       FIXED    -85200 


   The following DLRE frames are defined in this kernel file:

          Frame Name              Relative to          Type    NAIF ID
      ======================  ======================  ======   =======
      LRO_DLRE_AZI_REF        rel.to LRO_DLRE         FIXED     -85201
      LRO_DLRE_AZI_GIM        rel.to DLRE_AZI_REF     CK        -85202
      LRO_DLRE_ELV_REF        rel.to DLRE_AZI_GIM     FIXED     -85203
      LRO_DLRE_ELV_GIM        rel.to DLRE_ELV_REF     CK        -85204
      LRO_DLRE_FP_A           rel.to DLRE_ELV_GIM     FIXED     -85205
      LRO_DLRE_SCT_REF        rel.to DLRE_AZI_GIM     FIXED     -85206

   This is a brief summary of the DLRE frames:

      -  DLRE base frame (LRO_DLRE) -- fixed w.r.t. the LRO_SC_BUS
         frame; this frame incorporates the instrument misalignment
         determined by measuring the alignment cube orientation w.r.t.
         to the spacecraft at the time of instrument installation.

      -  DLRE Azimuth Gimbal "Reference" position frame
         (LRO_DLRE_AZI_REF) -- fixed w.r.t. the DLRE base frame; this
         frame is defined to have the LRO_DLRE_AZI_REF +Z axis
         coalligned with the DLRE Azimuth physical rotation axis.

      -  DLRE Azimuth Gimbal frame (LRO_DLRE_AZI_GIM) -- rotates about
         the +Z axis by AZ angle w.r.t. DLRE_AZI_REF frame (and,
         therefore, is defined as a CK-based frame); it is co-aligned
         with the DLRE_AZI_REF frame at 0 azimuth scan angle.

      -  DLRE Elevation Gimbal "Reference" position frame
         (LRO_DLRE_ELV_REF) -- fixed w.r.t., and nominally coaligned
         with the DLRE_AZI_GIM frame; this frame is defined to have the
         LRO_DLRE_ELV_REF +Y axis coaligned with the DLRE
         Elevation physical rotation axis.

      -  DLRE Elevation Gimbal frame (LRO_DLRE_ELV_GIM) -- rotates
         about +Y axis by EL angle w.r.t. DLRE_ELV_REF frame (and,
         therefore, is defined as a CK-based frame); it is co-aligned
         with the DLRE_ELV_REF frame at 0 elevation scan angle.

      -  DLRE focal boresight frame (LRO_DLRE_FP_A) -- fixed w.r.t, and
         nominally coaligned with the LRO_DLRE_ELV_GIM frame, this
         frame is defined to have the LRO_DLRE_FP_A -Z axis be in the
         direction of the telescope boresight.


DLRE Frames Hierarchy
-------------------------------------------------------------------------------

   The diagram below shows DLRE frames hierarchy:


                               "J2000" INERTIAL 
                               ----------------
                                       |
                                       | <--ck
                                       |
                                       V
                                 "LRO_SC_BUS"  (*)
                                 ------------
                                       |
                                       | <--fixed
                                       |
                                       V
                                  "LRO_DLRE"   (*)
                                  ----------
                                       |
                                       | <--fixed
                                       |
                                       V
                               "LRO_DLRE_AZI_REF"
                               ------------------
                                       |
                                       | <--ck
                                       |
                                       V
                               "LRO_DLRE_AZ_GIM"
                               ------------------------------+
                                       |                     |
                                       | <--fixed            | <--fixed
                                       |                     |
                                       V                     V
                               "LRO_DLRE_ELV_REF"     "LRO_DLRE_SCT_REF"
                               ------------------     ------------------
                                       |
                                       | <--ck
                                       |
                                       V
                               "LRO_DLRE_ELV_GIM"
                               -------------------
                                       |
                                       | <--fixed
                                       |
                                       V
                               "LRO_DLRE_FP_A"
                               ---------------

   (*) The "LRO_SC_BUS" and "LRO_DLRE" frames are defined in [5].
                              

DLRE Frames Diagrams                   
-----------------------------------------------------------------------

   This diagram illustrates the DLRE frames for 0 AZ/EL position:

                               ^
                               | S/c velocity
                               |

                              _
                         .---'o| CRaTER
                         |     |
                         |_____|
                +X* ^    |     |             .----------------
                   . \ --------------------. |               ' 
                   |  \  +Zd               | |               `
                   |   * +Z*               | |               '
                     ,' \       .---------.| |               `
    LROC/WAC    +Yd V    \      |         || |  Solar Array  '
             |  +Y*       V +Xd |         || |               `
        LOLA |o                 |         || |               '
             | .-. |   |<-->\   |         || |               `
   LROC/NACs || o ||   30 deg   |         || |               '
           .-| `-' |            |         || |               ` 
      LAMP | | .-. |            | Mini RF || |               '
           |o|| o ||            |         ||  ===============' 
           `-| `_' |            |         || |               '
             `-----|            |         || |               `
              .----|            |         || |               '
              |o o |            |         || |               `
              |o o |      +Xsc ^|         || |               ' 
              `----|           |`---------'|=|               '
           LEND    `-----------|-----------' |               `
                           `.__|__.' HGA     |               '
                         <-----o             |               `
                     +Ysc       +Zsc         |               '
                                              ~ ~ ~ ~ ~ ~ ~ ~

                               |
                               | S/c velocity
                               V

                                      The axes of LRO_DLRE are shown with
                                      suffix "d". The axes of all other
                                      DLRE frames, nominally co-aligned in
                                      0 AZ/EL position are shown with 
                                      suffix "*".

                                      The +Zd axis is into the page.

                                      +Z axes of all other DLRE frames are
                                      out of the page.

                                      The instrument boresight in 0 AZ/EL
                                      position is into the page.


   This diagram shows the instrument detector layout in relation to the
   the "LRO_DLRE_FP_A" frame:

   Telescope A:
   ------------

            A1       A2       A3       A4       A5       A6

         1   O        O        O        O        O        O
         2   O        O        O        O        O        O
         3   O        O        O        O        O        O
         4   O        O        O        O        O        O
         5   O        O        O        O        O        O
         6   O        O        O        O        O        O
         7   O        O        O        O        O        O
         8   O        O        O        O        O        O
         9   O        O        O        O        O        O
        10   O        O        O +Zfp_a O        O        O    +Yfp_a
        11   O        O        O o------O--------O--------O---->
        12   O        O        O |      O        O        O
        13   O        O        O |      O        O        O
        14   O        O        O |      O        O        O
        15   O        O        O |      O        O        O
        16   O        O        O |      O        O        O
        17   O        O        O |      O        O        O
        18   O        O        O |      O        O        O
        19   O        O        O |      O        O        O
        20   O        O        O |      O        O        O
        21   O        O        O |      O        O        O
                                 |
                                 V +Xfp_a

                                             +Zfp_a is out of the page.

                                             Detector view directions
                                             are into the page.
   Telescope B:
   ------------

            B1                B2                         B3

        21   O                 O                       O
        20   O                 O                       O
        19   O                 O                       O
        18   O                 O                       O
        17   O                 O                       O
        16   O                 O                       O
        15   O                 O                       O
        14   O                 O                       O
        13   O                 O                       O
        12   O                 O +Zfp_a                O      +Yfp_a
        11   O                 O o---------------------O------>
        10   O                 O |                     O
         9   O                 O |                     O
         8   O                 O |                     O
         7   O                 O |                     O
         6   O                 O |                     O
         5   O                 O |                     O
         4   O                 O |                     O
         3   O                 O |                     O
         2   O                 O |                     O
         1   O                 O |                     O
                                 |
                                 V +Xfp_a
                                 
                                             +Zfp_a is out of the page.

                                             Detector view directions
                                             are into the page.
                                             

   On the diagrams above the A1..A6, B1..B3 at the top are the detector
   column names while 1..21 on the left are the detector numbers within
   each column.


Diviner Azimuth Reference Frame LRO_DLRE_AZI_REF
------------------------------------------------

   The DLRE_AZI_REF frame is defined based on the DLRE instrument
   reference frame, or the alignment cube reference, according to the
   laser track measurement test. This converts a unit vector from
   LRO_DLRE_AZI_REF into LRO_DLRE.

      *  +X axis is Y cross product Z;

      *  +Y axis is nominally pointing to the actuator elevation axis,

      *  +Z axis points to the azimuth axis, nominally opposite of
         LRO_DLRE Z-axis;

      *  the origin of this frame is at [TBD];

   \begindata

      FRAME_LRO_DLRE_AZI_REF   = -85201
      FRAME_-85201_NAME        = 'LRO_DLRE_AZI_REF'
      FRAME_-85201_CLASS       = 4
      FRAME_-85201_CLASS_ID    = -85201
      FRAME_-85201_CENTER      = -85
      TKFRAME_-85201_SPEC      = 'MATRIX'
      TKFRAME_-85201_RELATIVE  = 'LRO_DLRE'
      TKFRAME_-85201_MATRIX    = (
                                -0.999997069 
                                -1.97398187e-05
                                 0.00242111387
                                 1.97398187e-05 
                                 0.99986706
                                 0.0163052865 
                                -0.00242111387
                                 0.0163052865
                                -0.999864129
                                )

   \begintext


Diviner Azimuth Gimbal Frame LRO_DLRE_AZI_GIM
---------------------------------------------

   The DLRE_AZI_GIM frame is defined based on the DLRE_AZI_REF
   reference frame. Its orientation is provided in C-kernels. It
   defines a rotation of instrument azimuth angle about the Z-axis of
   the DLRE_AZI_REF frame.

   \begindata

      FRAME_LRO_DLRE_AZI_GIM       = -85202
      FRAME_-85202_NAME            = 'LRO_DLRE_AZI_GIM'
      FRAME_-85202_CLASS           = 3
      FRAME_-85202_CLASS_ID        = -85202
      FRAME_-85202_CENTER          = -85
      CK_-85202_SCLK               = -85
      CK_-85202_SPK                = -85

   \begintext


Diviner Elevation Reference Frame LRO_DLRE_ELV_REF
--------------------------------------------------

   The DLRE_ELV_REF frame is defined based on the DLRE_AZI_GIM
   C-kernel. The following transform is derived according to the laser
   track measurement test, while the azimuth axis is set at the stowed
   position.

      *  +X axis is y cross product Z;

      *  +Y axis is pointing to the actuator elevation axis,

      *  +Z axis is nominally pointing to the azimuth axis;

      *  the origin of this frame is at [TBD];

   \begindata

      FRAME_LRO_DLRE_ELV_REF   = -85203
      FRAME_-85203_NAME        = 'LRO_DLRE_ELV_REF'
      FRAME_-85203_CLASS       = 4
      FRAME_-85203_CLASS_ID    = -85203
      FRAME_-85203_CENTER      = -85
      TKFRAME_-85203_SPEC      = 'MATRIX'
      TKFRAME_-85203_RELATIVE  = 'LRO_DLRE_AZI_GIM'
      TKFRAME_-85203_MATRIX    = (
                                 0.99999324
                                -0.00278726891
                                 0.00239799303
                                 0.00278631217 
                                 0.999996037 
                                 0.000402223798 
                                -0.00239910463
                                -0.000395539522
                                 0.999997044
                                )

   \begintext


Diviner Elevation Gimbal Frame LRO_DLRE_ELV_GIM
---------------------------------------------

   The DLRE_ELV_GIM frame is defined based on the DLRE_ELV_REF
   reference frame. Its orientation is provided in C-kernels. It
   defines a rotation of instrument elevation angle about the Y-axis of
   the DLRE_ELV_REF frame.

   \begindata

      FRAME_LRO_DLRE_ELV_GIM       = -85204
      FRAME_-85204_NAME            = 'LRO_DLRE_ELV_GIM'
      FRAME_-85204_CLASS           = 3
      FRAME_-85204_CLASS_ID        = -85204
      FRAME_-85204_CENTER          = -85
      CK_-85204_SCLK               = -85
      CK_-85204_SPK                = -85

   \begintext


Diviner Focal Plane - A Reference Frame FP-A
----------------------------------------------

   The DLRE focal plane A reference frame is nominally aligned with the
   DLRE_ELV_GIM frame.

      *  +X axis is along the channel direction from detector 1 to
         detector 21

      *  +Y axis is Z cross product Y.

      *  +Z axis is pointing to the opposite of the focal plane
         boresight.
 
      *  the origin of this frame is at [TBD];

   \begindata

      FRAME_LRO_DLRE_FP_A     = -85205
      FRAME_-85205_NAME        = 'LRO_DLRE_FP_A'
      FRAME_-85205_CLASS       = 4
      FRAME_-85205_CLASS_ID    = -85205
      FRAME_-85205_CENTER      = -85
      TKFRAME_-85205_SPEC      = 'MATRIX'
      TKFRAME_-85205_RELATIVE  = 'LRO_DLRE_ELV_GIM'
      TKFRAME_-85205_MATRIX    = ( 
                                 0.999997538 
                                -9.87048705e-07
                                -0.00221905581 
                                -9.87048705e-07
                                 0.999999604
                                -0.000889610159
                                 0.00221905581
                                 0.000889610159
                                 0.999997142
                                )
   \begintext


Diviner Solar Calibration Target Reference Frame LRO_DLRE_SCT_REF
-----------------------------------------------------------------

   The DLRE_SCT_REF frame is defined based on the DLRE_AZI_GIM C-kernel.
   The following transform is derived according to the laser tracker
   measurement test, while the azimuth axis is set at the stowed
   position. This transform converts a unit vector from STR into AGS.

      *  +X axis is aligned with the boresight projection in the SCT
         panel, about opposite of DLRE_AZI_GIM X-axis;

      *  +Y axis is the cross-product of Z and X axes;

      *  +Z axis points to the SCT panel normal, nominally aligned with
         DLRE_AZI_GIM Z-axis, with about 14.8596 offset;

      *  the origin of this frame is at [TBD];

   \begindata

      FRAME_LRO_DLRE_SCT_REF   = -85206
      FRAME_-85206_NAME        = 'LRO_DLRE_SCT_REF'
      FRAME_-85206_CLASS       = 4
      FRAME_-85206_CLASS_ID    = -85206
      FRAME_-85206_CENTER      = -85
      TKFRAME_-85206_SPEC      = 'MATRIX'
      TKFRAME_-85206_RELATIVE  = 'LRO_DLRE_AZI_GIM'
      TKFRAME_-85206_MATRIX    = (
                                -0.966549062 
                                 0.0066710209 
                                -0.256395024
                                -0.00816353922 
                                -0.999955362
                                 0.00475726105
                                -0.256351843
                                 0.00669121704
                                 0.966560376
                                )

   \begintext

End of FK file.

