KPL/MK

   This meta-kernel lists the LRO SPICE kernels providing coverage for
   2009. All of the kernels listed below are archived in the LRO SPICE
   data set (DATA_SET_ID = "LRO-L-SPICE-6-V1.0"). This set of files and
   the order in which they are listed were picked to provide the best
   available data and the most complete coverage for the specified year
   based on the information about the kernels available at the time
   this meta-kernel was made. For detailed information about the
   kernels listed below refer to the internal comments included in the
   kernels and the documentation accompanying the LRO SPICE data set.

   It is recommended that users make a local copy of this file and
   modify the value of the PATH_VALUES keyword to point to the actual
   location of the LRO SPICE data set's ``data'' directory on their
   system. Replacing ``/'' with ``\'' and converting line terminators
   to the format native to the user's system may also be required if
   this meta-kernel is to be used on a non-UNIX workstation.

   This file was created on August 10, 2010 by Boris Semenov, NAIF/JPL.
   The original name of this file was lro_2009_v01.tm.

   \begindata

      PATH_VALUES     = ( './data' )

      PATH_SYMBOLS    = ( 'KERNELS' )

      KERNELS_TO_LOAD = (

                          '$KERNELS/lsk/naif0009.tls'

                          '$KERNELS/sclk/lro_clkcor_2009365_v00.tsc'

                          '$KERNELS/pck/pck00008.tpc'
                          '$KERNELS/pck/moon_pa_de421_1900_2050.bpc'

                          '$KERNELS/fk/lro_dlre_frames_2010132_v04.tf'
                          '$KERNELS/fk/lro_frames_2010214_v01.tf'
                          '$KERNELS/fk/moon_assoc_me.tf'
                          '$KERNELS/fk/moon_080317.tf'

                          '$KERNELS/ik/lro_crater_v03.ti'
                          '$KERNELS/ik/lro_dlre_v05.ti'
                          '$KERNELS/ik/lro_lamp_v03.ti'
                          '$KERNELS/ik/lro_lend_v00.ti'
                          '$KERNELS/ik/lro_lola_v00.ti'
                          '$KERNELS/ik/lro_lroc_v13.ti'

                          '$KERNELS/spk/de421.bsp'
                          '$KERNELS/spk/lrorg_2009169_2010001_v01.bsp'

                          '$KERNELS/ck/lrodv_2009186_2009213_v01.bc'
                          '$KERNELS/ck/lrodv_2009212_2009244_v01.bc'
                          '$KERNELS/ck/lrodv_2009243_2009274_v01.bc'
                          '$KERNELS/ck/lrodv_2009273_2009305_v01.bc'
                          '$KERNELS/ck/lrodv_2009304_2009335_v01.bc'
                          '$KERNELS/ck/lrodv_2009334_2010001_v01.bc'

                          '$KERNELS/ck/lrohg_2009170_2009172_v01.bc'
                          '$KERNELS/ck/lrohg_2009172_2009182_v01.bc'
                          '$KERNELS/ck/lrohg_2009182_2009192_v01.bc'
                          '$KERNELS/ck/lrohg_2009192_2009202_v01.bc'
                          '$KERNELS/ck/lrohg_2009202_2009213_v01.bc'
                          '$KERNELS/ck/lrohg_2009213_2009223_v01.bc'
                          '$KERNELS/ck/lrohg_2009223_2009233_v01.bc'
                          '$KERNELS/ck/lrohg_2009233_2009244_v01.bc'
                          '$KERNELS/ck/lrohg_2009244_2009254_v01.bc'
                          '$KERNELS/ck/lrohg_2009254_2009264_v01.bc'
                          '$KERNELS/ck/lrohg_2009264_2009274_v01.bc'
                          '$KERNELS/ck/lrohg_2009274_2009284_v01.bc'
                          '$KERNELS/ck/lrohg_2009284_2009294_v01.bc'
                          '$KERNELS/ck/lrohg_2009294_2009305_v01.bc'
                          '$KERNELS/ck/lrohg_2009305_2009315_v01.bc'
                          '$KERNELS/ck/lrohg_2009315_2009325_v01.bc'
                          '$KERNELS/ck/lrohg_2009325_2009335_v01.bc'
                          '$KERNELS/ck/lrohg_2009335_2009345_v01.bc'
                          '$KERNELS/ck/lrohg_2009345_2009355_v01.bc'
                          '$KERNELS/ck/lrohg_2009355_2010001_v01.bc'

                          '$KERNELS/ck/lrosa_2009170_2009172_v01.bc'
                          '$KERNELS/ck/lrosa_2009172_2009182_v01.bc'
                          '$KERNELS/ck/lrosa_2009182_2009192_v01.bc'
                          '$KERNELS/ck/lrosa_2009192_2009202_v01.bc'
                          '$KERNELS/ck/lrosa_2009202_2009213_v01.bc'
                          '$KERNELS/ck/lrosa_2009213_2009223_v01.bc'
                          '$KERNELS/ck/lrosa_2009223_2009233_v01.bc'
                          '$KERNELS/ck/lrosa_2009233_2009244_v01.bc'
                          '$KERNELS/ck/lrosa_2009244_2009254_v01.bc'
                          '$KERNELS/ck/lrosa_2009254_2009264_v01.bc'
                          '$KERNELS/ck/lrosa_2009264_2009274_v01.bc'
                          '$KERNELS/ck/lrosa_2009274_2009284_v01.bc'
                          '$KERNELS/ck/lrosa_2009284_2009294_v01.bc'
                          '$KERNELS/ck/lrosa_2009294_2009305_v01.bc'
                          '$KERNELS/ck/lrosa_2009305_2009315_v01.bc'
                          '$KERNELS/ck/lrosa_2009315_2009325_v01.bc'
                          '$KERNELS/ck/lrosa_2009325_2009335_v01.bc'
                          '$KERNELS/ck/lrosa_2009335_2009345_v01.bc'
                          '$KERNELS/ck/lrosa_2009345_2009355_v01.bc'
                          '$KERNELS/ck/lrosa_2009355_2010001_v01.bc'

                          '$KERNELS/ck/lrosc_2009170_2009172_v01.bc'
                          '$KERNELS/ck/lrosc_2009172_2009182_v01.bc'
                          '$KERNELS/ck/lrosc_2009182_2009192_v01.bc'
                          '$KERNELS/ck/lrosc_2009192_2009202_v01.bc'
                          '$KERNELS/ck/lrosc_2009202_2009213_v01.bc'
                          '$KERNELS/ck/lrosc_2009213_2009223_v01.bc'
                          '$KERNELS/ck/lrosc_2009223_2009233_v01.bc'
                          '$KERNELS/ck/lrosc_2009233_2009244_v01.bc'
                          '$KERNELS/ck/lrosc_2009244_2009254_v01.bc'
                          '$KERNELS/ck/lrosc_2009254_2009264_v01.bc'
                          '$KERNELS/ck/lrosc_2009264_2009274_v01.bc'
                          '$KERNELS/ck/lrosc_2009274_2009284_v01.bc'
                          '$KERNELS/ck/lrosc_2009284_2009294_v01.bc'
                          '$KERNELS/ck/lrosc_2009294_2009305_v01.bc'
                          '$KERNELS/ck/lrosc_2009305_2009315_v01.bc'
                          '$KERNELS/ck/lrosc_2009315_2009325_v01.bc'
                          '$KERNELS/ck/lrosc_2009325_2009335_v01.bc'
                          '$KERNELS/ck/lrosc_2009335_2009345_v01.bc'
                          '$KERNELS/ck/lrosc_2009345_2009355_v01.bc'
                          '$KERNELS/ck/lrosc_2009355_2010001_v01.bc'

                        )

   \begintext

End of MK file.
